Loading...
Searching...
No Matches
xccdf_value_binding Struct Reference
XCCDF_POLICY

XCCDF value binding structure is binding between Refine values, Set values, Value element and Check export element of benchmark. More...

`#include <xccdf_policy.h>`

## Public Member Functions

OSCAP_API struct xccdf_value_binding * | xccdf_value_binding_new (void)
| Constructor of structure with profile bindings - refine_rules, refine_values and set_values.
OSCAP_API void | xccdf_value_binding_free (struct xccdf_value_binding *)
| Destructor of Value binding structure.
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API char * | xccdf_value_binding_get_name (const struct xccdf_value_binding *)
| Get variable name from value bindings.
OSCAP_API char * | xccdf_value_binding_get_value (const struct xccdf_value_binding *)
| Get value from value bindings.
OSCAP_API xccdf_value_type_t | xccdf_value_binding_get_type (const struct xccdf_value_binding *)
| get variable type from value bindings
OSCAP_API xccdf_operator_t | xccdf_value_binding_get_operator (const struct xccdf_value_binding *)
| get Value operator from value bindings
OSCAP_API char * | xccdf_value_binding_get_setvalue (const struct xccdf_value_binding *)
| get Set Value from value bindings

## Data Fields

char * | name
| The name of OVAL Variable.
xccdf_value_type_t | type
| Type of Variable.
char * | value
| Value of variable.
char * | setvalue
| Set value if defined or NULL.
xccdf_operator_t | operator
| Operator of Value.

## Detailed Description

XCCDF value binding structure is binding between Refine values, Set values, Value element and Check export element of benchmark.

Value bindings of policy.

These structures are binded together for exporting values to checking engine.

These bindings are set during the preprocessing of profile, when policies are beeing created.

The documentation for this struct was generated from the following files:

- xccdf_policy.c
- xccdf_policy.h